/*
 * HFS/2 - A Hierarchical File System Driver for OS/2
 * Copyright (C) 1996, 1997 Marcus Better
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _R0_H
#define _R0_H

typedef struct fs_request {
  unsigned long request_id;
  unsigned long request_sem;
  unsigned long control_sem;
  char prolong_request;
  char *data_buf;
  char *parm_buf;
  unsigned short data_len;
  int prev;
  int next;
} FS_REQUEST;

int do_request(OPDATA *, char **, unsigned short);
void end_request(unsigned long);

/* Pointer to DevHlp entry point */
extern PFN Device_Help;

/* Flag set if control program currently attached */
extern int CPAttached;

/* C library startup function */
extern void far pascal Startup(void);

#endif /* _R0_H */
