/*
 * HFS/2 - A Hierarchical File System Driver for OS/2
 * Copyright (C) 1996, 1997 Marcus Better
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* hfsapi.h
   API functions.
*/

#ifndef _HFSAPI_H
#define _HFSAPI_H

typedef unsigned short API_RES;

/* Result codes */
#define API_RES_NO_ERROR              0
#define API_RES_NOT_HFS               1
#define API_RES_UNKNOWN_ERROR         2

/* Message IDs */
#define API_SYNC                      1

/* Messages */
typedef struct api_cmd_sync {
  unsigned short id;
  unsigned short drive;
} API_CMD_SYNC, *PAPI_CMD_SYNC;

/*
typedef struct api_cmd_read_resfork {
  unsigned short id;
  HFILE hf;
  unsigned long start;
  unsigned long bytes;
} API_CMD_READ_RESFORK, *PAPI_CMD_READ_RESFORK;
*/

#endif /* _HFSAPI_H */
