#
# Rules16.make
# This file contains rules which are shared between multiple Makefiles.
#

#
# False targets.
#
.PHONY: dummy sub_dirs clean dep

#
# Make subdirectories
#
all:: sub_dirs

#
# Common rules
#

%.obj: %.c
	$(C16) $(C16FLAGS) $(EXTRA_C16FLAGS) -c $<

#
# A rule to make subdirectories
#
sub_dirs: dummy
ifdef SUB_DIRS
	for %i in ($(SUB_DIRS)) do $(MAKE) -C %i
endif

#
# Clean up
#
clean::
ifdef SUB_DIRS
	for %i in ($(SUB_DIRS)) do $(MAKE) -C %i clean
endif

#
# A rule to do nothing
#
dummy:

#
# include dependency file
#
include .depend
